Reply To: LT 2.0 to LT 3.0 – Help please

HomeForumsGeneral DiscussionLT 2.0 to LT 3.0 – Help pleaseReply To: LT 2.0 to LT 3.0 – Help please

Author Replies
rubby # Posted on 2011-12-16 at 12:08AM UTC
avatar

ok, I’m only interested in running this games: FIFA/PES, BF3, MW3, F1 2011, SKYRIM etc…in other words, the most recent games.
from what I understood, thanks to your help, is that if i’m only interested in playing the most recent games, I should definitly update to LT 3.0, because none of the games I mentioned are AP/25. Am I correct?

thanks for your help. (: